package com.example.survey.dao;

import com.example.survey.entity.Respondent;
import com.example.survey.entity.inner.AdministrativeArea;

import java.util.List;

/**
 * @author Pope
 *
 */
public interface RespondentDao {
    /**
     * 插入待调查对象
     * @param respondent 待调查对象
     * @return 是否插入成功
     */
    boolean insertRespondent(Respondent respondent);

    /**
     * 根据流调人员电话号码分页查询待调查对象列表
     * @param userPhone 分配的人员电话号码
     * @param state 状态
     * @param administrativeArea 行政区划
     * @param offset 偏移量
     * @param number 大小
     * @return 待调查对象列表
     */
    List<Respondent> listRespondentLimit(String userPhone, String state, AdministrativeArea administrativeArea, int offset, int number);

    /**
     * 判断是否存在对应id的调查对象
     * @param idNumber 身份证号
     * @return 是否存在该调查对象
     */
    boolean existRespondent(String idNumber);

    /**
     * 根绝筛选条件获取调查对象数量
     *
     * @param userPhone 分配的人员电话号码
     * @param state 状态
     * @param administrativeArea 行政区划
     * @return 数量
     */
    long countRespondent(String userPhone, String state, AdministrativeArea administrativeArea);
}
