package com.example.survey.dao;

import com.example.survey.entity.Role;
import com.example.survey.enumeration.AuthEnum;

import java.util.List;
import java.util.Set;

/**
 * @author Pope
 */
public interface RoleDao {

    /**
     * 插入新权限
     *
     * @param role 新权限
     * @return 是否插入成功
     */
    boolean insertRole(Role role);

    /**
     * 根据权限名查询对应权限
     *
     * @param name 权限名
     * @return 查询结果
     */
    Role selectRole(String name);

    /**
     * 根据权限名删除权限
     *
     * @param name 权限名
     */
    void deleteRole(String name);

    /**
     * 根据角色名模糊匹配角色
     *
     * @param name   角色名  模糊匹配
     * @param offset 偏移量
     * @param limit  大小
     * @return
     */
    List<Role> listLimitRole(String name, int offset, int limit);

    /**
     * 更改角色的权限列表
     *
     * @param roleName    角色名
     * @param authEnumSet 权限集合
     */
    void updateRole(String roleName, Set<AuthEnum> authEnumSet);
}
