package com.example.survey.dto;

import com.example.survey.dto.inner.RelevantUserInfo;
import com.example.survey.entity.Respondent;
import com.example.survey.entity.User;
import lombok.*;

/**
 * @author Pope
 */
@Getter
@Setter
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class RespondentDto {

    /**
     * 身份证号
     */
    private String idNumber;

    /**
     * 电话
     */
    private String phoneNumber;

    /**
     * 姓名
     */
    private String name;

    /**
     * 备注
     */
    private String msg;

    /**
     * 分配的人员
     */
    private RelevantUserInfo relevantUserInfo;

    /**
     * 是否发病
     */
    private boolean diseased;

    /**
     * 性别
     */
    private String gender;

    public RespondentDto(Respondent respondent, User user){
        this.idNumber = respondent.getIdNumber();
        this.name = respondent.getName();
        this.phoneNumber = respondent.getPhoneNumber();
        this.relevantUserInfo = new RelevantUserInfo(user);
        this.diseased = respondent.isDiseased();
        this.gender = respondent.getGender();
        this.msg = respondent.getMsg();
    }
}
