package com.example.survey.dto;

import com.example.survey.dao.UserDao;
import com.example.survey.entity.Department;
import com.example.survey.entity.Role;
import com.example.survey.entity.User;
import lombok.*;

import java.util.LinkedList;
import java.util.List;

/**
 * @author Pope
 */
@Getter
@Setter
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class UserDto {
    private String username;
    private String phoneNumber;
    private List<String> roleList;
    private List<Department> departmentList;

    public UserDto(User user){
        username = user.getUsername();
        phoneNumber = user.getPhoneNumber();
        roleList = new LinkedList<>();
        for (Role role : user.getRoleList()) {
            roleList.add(role.getName());
        }
        departmentList = user.getDepartmentList();
    }
}
