package com.example.survey.entity.inner;

import lombok.*;

import java.util.Date;

/**
 * @author Pope
 * 操作信息
 */
@Getter
@Setter
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class OperationInformation {

    public static final String SUBMIT = "提交";

    /**
     * 修改操作
     */
    public static final String MODIFY = "修改";

    /**
     * 删除操作
     */
    public static final String DELETE = "删除";

    /**
     * 恢复记录
     */
    public static final String RECOVERY = "恢复";

    /**
     *
     */
    public static final String REVIEW = "审核";

    /**
     * 操作
     */
    private String type;

    /**
     * 时间
     */
    private Date time;

    /**
     * 操作者id
     */
    private String userPhone;

    /**
     * 版本信息
     */
    private String version;

    /**
     * 备注
     */
    private String msg;

    /**
     * 操作结果
     */
    private String result;

    public static OperationInformation submitOp(String userPhone, String msg) {
        OperationInformation submit = new OperationInformation();
        submit.setType(SUBMIT);
        submit.setTime(new Date());
        submit.setUserPhone(userPhone);
        submit.setVersion(userPhone + new Date().toString());
        submit.setMsg(msg);
        submit.setResult("提交成功");
        return submit;
    }

    public static OperationInformation modifyOp(String investigatorPhone, String msg) {
        OperationInformation modify = new OperationInformation();
        modify.setType(MODIFY);
        modify.setTime(new Date());
        modify.setUserPhone(investigatorPhone);
        modify.setVersion(investigatorPhone + new Date().toString());
        modify.setMsg(msg);
        modify.setResult("提交修改");
        return modify;
    }

    public static OperationInformation deleteOp(String investigatorPhone, String msg) {
        OperationInformation delete = new OperationInformation();
        delete.setType(MODIFY);
        delete.setTime(new Date());
        delete.setUserPhone(investigatorPhone);
        delete.setVersion(investigatorPhone + new Date().toString());
        delete.setMsg(msg);
        delete.setResult("删除成功");
        return delete;
    }

    public static OperationInformation reviewOp(String investigatorPhone, String msg, String result) {
        OperationInformation review = new OperationInformation();
        review.setType(REVIEW);
        review.setTime(new Date());
        review.setUserPhone(investigatorPhone);
        review.setVersion(investigatorPhone + new Date().toString());
        review.setMsg(msg);
        review.setResult(result);
        return review;
    }
}
