package com.example.survey.service;

import com.example.survey.entity.Respondent;
import com.example.survey.dto.RespondentDto;
import com.example.survey.entity.inner.AdministrativeArea;
import com.example.survey.vo.CreateRespondentVo;

import java.util.List;

/**
 * @author Pope
 */
public interface RespondentService {
    /**
     * 创建待调查对象
     *
     * @param createRespondentVo 待调查对象信息
     * @return 是否创建成功
     */
    boolean addRespondent(CreateRespondentVo createRespondentVo);

    /**
     * 根据流调人员电话号码分页查询待调查对象数据
     *
     * @param userPhone          分配的人员电话号码
     * @param state              状态
     * @param administrativeArea 行政区划
     * @param currentPage        当前页数
     * @param pageSize           页大小
     * @return 页数据
     */
    List<RespondentDto> listRespondentLimit(String userPhone, String state, AdministrativeArea administrativeArea, int currentPage, int pageSize);

    /**
     * 根据筛选条件查询调查对象数量
     *
     * @param userPhone          分配的人员电话号码
     * @param state              状态
     * @param administrativeArea 行政区划
     * @return 数量
     */
    long countRespondent(String userPhone, String state, AdministrativeArea administrativeArea);
}
