package com.example.survey.service;

import com.example.survey.vo.CreateRoleVo;
import com.example.survey.vo.ModifyRoleVo;

import java.util.List;

/**
 * @author Pope
 */
public interface RoleService {

    /**
     * 创建角色
     *
     * @param createRoleVo 角色信息
     * @return 是否创建成功
     */
    boolean addRole(CreateRoleVo createRoleVo);

    /**
     * 根据权限名分页查询权限
     *
     * @param roleName    角色名 模糊匹配
     * @param currentPage 当前页数
     * @param pageSize    页大小
     * @return 查询结果
     */
    List<CreateRoleVo> getRole(String roleName, int currentPage, int pageSize);

    /**
     * 删除角色
     *
     * @param roleName 角色名
     * @return 是否删除成功
     */
    void deleteRole(String roleName);

    /**
     * 修改角色权限
     *
     * @param modifyRoleVo 修改后角色信息
     */
    void modifyRole(ModifyRoleVo modifyRoleVo);
}
